#include "case.h"

Case::Case(QLabel *parent) :
    QLabel(parent)
{
    connect(this,SIGNAL(clicked()),this,SLOT(case_clicked()));
    this->setText(" ");
    this->setStyleSheet("border: 1px solid black");
    this->setAlignment(Qt::AlignCenter);
}

void Case::mousePressEvent ( QMouseEvent * event )
{
    emit clicked();
}

void Case::case_clicked()
{
    if(this->text() == " ")
    {
        this->setText("X");
    }
    else
    {
        this->setText(" ");

    }
}
